Create compute config
curl --request POST \
--url https://api.akua.dev/v1/compute_configs \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"provider": "hcloud",
"provider_config": {
"region": "<string>",
"image": "<string>",
"machine_type_filter": "<string>"
},
"credential_scope": {
"kind": "system"
}
}
'import requests
url = "https://api.akua.dev/v1/compute_configs"
payload = {
"name": "<string>",
"provider": "hcloud",
"provider_config": {
"region": "<string>",
"image": "<string>",
"machine_type_filter": "<string>"
},
"credential_scope": { "kind": "system" }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
provider: 'hcloud',
provider_config: {region: '<string>', image: '<string>', machine_type_filter: '<string>'},
credential_scope: {kind: 'system'}
})
};
fetch('https://api.akua.dev/v1/compute_configs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"provider": "hcloud",
"provider_config": {
"provider": "<string>",
"region": "<string>",
"image": "<string>",
"machine_type_filter": "<string>"
},
"secret_id": "<string>",
"created_at": 123
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}{
"success": false,
"errors": [
{
"code": 7002,
"message": "Resource not found",
"path": [
"body",
"name"
],
"metadata": {}
}
],
"result": {}
}ComputeConfigs
Create compute config
Creates a compute config row.
POST
/
compute_configs
Create compute config
Authorizations
workspace API token (sk_akua_...) or OAuth2 JWT. Create tokens at https://akua.dev/developers/api-tokens
Headers
Optional workspace/scope context for the request. Carries a single workspace wire id (ws_…) today. Only needed for broad tokens — a workspace-owned token implies its workspace.
Required string length:
1 - 53Example:
"ws_j572abc123def456"
Optional caller-supplied idempotency key. Any non-empty key up to 64 characters is accepted. Endpoint-specific documentation describes how the key is used.
Required string length:
1 - 64Example:
"create-prod-2026-05-07"
Body
application/json
⌘I